#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l,i;
    int brojac=0;
    printf("unesite broj stalaktita, pa visinu perice");
    scanf("%d %d",&n,&l);
    int H[n];
    for(i=0;i<n;i++){
        printf("unesite visinu stalaktita broj %d: ",i);
        scanf("%d",& H[i] );
    }
    for(i=0;i<n;i++){
        if(l<H[i])
            brojac++;
        else
            break;
    }
    if(brojac==n){
        printf("-1");
    }
    else{
        printf("%d",brojac+1);
    }
    return 0;
}